Delete Cohort
curl --request DELETE \
--url https://api.sandbox.metriport.com/medical/v1/cohort/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sandbox.metriport.com/medical/v1/cohort/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sandbox.metriport.com/medical/v1/cohort/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import { MetriportMedicalApi } from "@metriport/api-sdk";
const metriport = new MetriportMedicalApi("YOUR_API_KEY");
const cohortId = "00000000-0000-0000-0000-000000000000";
await metriport.deleteCohort(cohortId);
Cohort
Delete Cohort
Deletes a cohort if the cohort is empty.
DELETE
/
medical
/
v1
/
cohort
/
{id}
Delete Cohort
For more information, see the guide about Cohorts
Prerequisites: You must remove all patients from a cohort before deleting it. If there
are still patients in the cohort, the API will return a 400 error.Use the remove patients from cohort endpoint
to clear all patients first.
Path Params
The ID of the cohort to delete.
Response
204 - No Content, upon successful delete.
import { MetriportMedicalApi } from "@metriport/api-sdk";
const metriport = new MetriportMedicalApi("YOUR_API_KEY");
const cohortId = "00000000-0000-0000-0000-000000000000";
await metriport.deleteCohort(cohortId);
⌘I

